XkbLookupKeyBinding(3)

NAME
XkbLookupKeyBinding - Find the string bound to a key by XRebindKeySym

SYNOPSIS
int XkbLookupKeyBinding ( dpy, sym, state, buf, nbytes, extra_rtrn )
      Display * dpy;
      KeySym sym;
      unsigned int state;
      char * buf;
      int nbytes;
      int * extra_rtrn;

ARGUMENTS

- dpy
    connection to server

- sym
    connection to server

- state
    state for which string is to be looked up

- buf
    buffer into which returned string is written

- nbytes
    size of buffer in bytes

- extra_rtrn
    backfilled with number bytes overflow

DESCRIPTION

XkbLookupKeyBinding is the equivalent of the core XLookupString function.

XRebindKeysym binds an ASCII string to a specified keysym, so that the string and keysym are returned when the key is pressed and a specified list of modifiers are also being held down. XkbLookupKeyBinding returns in buf the string associated with the keysym sym and modifier state state. buf is NULL terminated unless there's an overflow. If the string returned is larger than nbytes, a count of bytes that does not fit into the buffer is returned in extra_rtrn. XkbTranslateKeySym returns the number of bytes that it placed into buf.

SEE ALSO
XkbTranslateKeySym(3), XLookupString(3X11), XRebindKeysym(3X11)